原因是缺少pcre类库,安装完毕后重新编译安装nginx就行

yum list pcre*

当然了,类似

[emerg] 27557#0: without PCRE library "gzip_disable" supports builtin "msie6" and "degradation" mask only in
[emerg] 27600#0: unknown directive "set" in

这些错误也是这个原因

Last modification:November 24th, 2019 at 11:26 am